Name: libmng
Version: 1.0.4
Release: alt3

Summary: A library for handling MNG files
License: Distributable (see LICENSE)
Group: System/Libraries
Url: http://www.libmng.com/

Source: http://download.sourceforge.net/%name/%name-%version.tar.bz2
Patch1: %name-1.0.3-alt-build.patch
Patch2: %name-1.0.3-alt-gmngview.patch
Patch3: %name-1.0.3-alt-mngplay.patch

Provides: %name.so.0

Prefix: %prefix

# Automatically added by buildreq on Tue Jul 02 2002
BuildRequires: XFree86-devel gdk-pixbuf-devel glib-devel gtk+-devel libSDL-devel libjpeg-devel liblcms-devel zlib-devel

%package devel
Summary: Include files for development with %name
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static libraries for development with %name
Group: Development/C
Requires: %name-devel = %version-%release

%package -n mng-utils
Summary: Various %name-based utilities
Group: Graphics
Requires: %name = %version-%release

%description
The MNG library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

%description devel
The MNG library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains include files required for development %name-based
applications.

%description devel-static
The MNG library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains static libraries required for development statically
linked %name-based applications.

%description -n mng-utils
The MNG library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains various %name-based utilities.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoconf
%configure --with-lcms=yes
%make_build

%make_build -C contrib/gcc/gtk-mng-view

pushd contrib/gcc/sdl-mngplay
export CPPFLAGS=-I../../..
export LIBS=-L../../../.libs
%configure
make mngplay
popd

%install
mkdir -p $RPM_BUILD_ROOT%_mandir/man{3,5}
%makeinstall
install -pD -m755 contrib/gcc/gtk-mng-view/gmngview $RPM_BUILD_ROOT%_bindir/mngview
install -pD -m755 contrib/gcc/sdl-mngplay/mngplay $RPM_BUILD_ROOT%_bindir/mngplay
ln -snf %name.so.%version $RPM_BUILD_ROOT%_libdir/%name.so.0

pushd doc/man
install -p -m644 *.3 $RPM_BUILD_ROOT%_man3dir/
install -p -m644 *.5 $RPM_BUILD_ROOT%_man5dir/
popd

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_man5dir/*
%doc Changes LICENSE README README.contrib README.examples
%doc doc/*.* contrib/gcc/gtk-mng-view/*.mng

%files devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_mandir/man3/*

%files devel-static
%_libdir/*.a

%files -n mng-utils
%_bindir/*

%changelog
* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.4-alt3
- rebuild with new XFree86

* Mon Sep 09 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.4-alt2
- rebuild with gcc3

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.4-alt1
- 1.0.4.

* Fri Feb 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.3-alt2
- Fixed build on kernel headers which define "linux" macro.

* Thu Feb 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.3-alt1
- 1.0.3.

* Mon Jul 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.2-alt1
- 1.0.2.

* Mon Apr 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.0-ipl2mdk
- Moved static libraries to devel-static subpackage.
- Rebuilt with libSDL-1.2.0.

* Sun Feb 11 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.0-ipl1mdk
- 1.0.0

* Tue Feb 06 2001 Dmitry V. Levin <ldv@fandra.org> 0.9.4-ipl1mdk
- 0.9.4
- Build with lcms support.
- Build mng utilities.

* Wed Dec 20 2000 AEN <aen@logic.ru>
- back to old lib name
- adopted for RE

* Fri Nov 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-2mdk
- Make compliant to new LMDK lib policy

* Tue Nov 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-1mdk
- First package for Linux-Mandrake distribution
